Retry Failed Settlement
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/retryScheduleSettlement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"taxReferenceID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/retryScheduleSettlement"
payload = { "taxReferenceID": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({taxReferenceID: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.toku.com/api/tokuApi/v1/retryScheduleSettlement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"transactionID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerName": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Distributions
Retry Failed Settlement
Retries a failed settlement with the same custody provider.
POST
/
retryScheduleSettlement
Retry Failed Settlement
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
⌘I
